> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Proxy IP Automatically

> Sets auto change external IP settings of the proxy server.

Changes the auto-change settings for of a proxy. Auto-change controls whether a proxy automatically changes its external IP on a regular schedule. Once set, the proxy will automatically change its IP every `rate` minutes.

<Info>
  You can set a proxy's change `rate` (the rate at which it automatically changes IPs) for every `1` to `1440`
  minutes.\`
</Info>


## OpenAPI

````yaml POST /v1/proxies/autochangeip/{proxyName}
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/autochangeip/{proxyName}:
    post:
      description: Sets auto change external IP settings of the proxy server.
      parameters:
        - name: proxyName
          in: path
          description: Replace `{proxyName}` in the url path with `YOUR_PROXY`.
          required: true
          schema:
            type: string
      requestBody:
        description: Auto change external IP settings
        content:
          application/json:
            schema:
              type: object
              properties:
                enable:
                  type: boolean
                  description: >-
                    Auto change external IP status value. If `enable` = `true`,
                    then the proxy will have auto change external IP enabled.
                    Default: `false`
                  example: true
                rate:
                  type: integer
                  description: >-
                    Time interval for automatic IP change, in minutes. Default:
                    `10`
                  example: 10
              required:
                - enable
      responses:
        '200':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: Auto Change updated for ILL-US-AU1-9999 successfully.
                  data:
                    $ref: '#/components/schemas/proxy-change-ip-auto'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-change-ip-auto:
      type: object
      properties:
        proxy_name:
          type: string
          description: Unique identifier of the proxy server
          example: ILL-US-AU1-9999
        next_ip_change:
          type: string
          format: date-time
          description: Timestamp of when the next IP change will occur
          example: '2050-12-04T19:43:16.407+00:00'
        auto_change:
          type: boolean
          description: Indicates whether the proxy Auto Change IP setting is enabled
          example: true
        auto_change_time:
          type: integer
          description: Indicates the time interval for automatic IP change, in minutes
          example: 10
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````